| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Attributes

# IG::Gr::StructuredSurfaceGridPrimitive Class Reference

Inheritance diagram for IG::Gr::StructuredSurfaceGridPrimitive:
[legend]
Collaboration diagram for IG::Gr::StructuredSurfaceGridPrimitive:
[legend]

List of all members.

## Public Member Functions
| StructuredSurfaceGridPrimitive (int num1, int num2)
| Constructs a structured surface grid primitive in 3 dimensions. Grid co-ordinates are initialized to 0.
| StructuredSurfaceGridPrimitive (vec3 origin, vec3 basevector1, vec3 basevector2, int num1, int num2)
| Construct a structured surface grid primitive in 3 dimensions. Complete is constructed by translations of the origin by linear combinations of two base vectors with integer factors.
## Protected Member Functions
| StructuredSurfaceGridPrimitive ()
## Properties
override int | NumCoordinates`[get]`
| Get or set the co-ordinate No. i of this graphic primitive.
override vec3 | this [int i]`[get, set]`
| Returns the co-ordinate No. i of the graphic primitive.
## Private Attributes
StructuredSurfaceMesh3D | _mesh = null

## Constructor & Destructor Documentation

IG::Gr::StructuredSurfaceGridPrimitive::StructuredSurfaceGridPrimitive | ( |  | ) | `[inline, protected]`

IG::Gr::StructuredSurfaceGridPrimitive::StructuredSurfaceGridPrimitive | ( | int | num1,
|  | int | num2
| ) |  | `[inline]`

Constructs a structured surface grid primitive in 3 dimensions. Grid co-ordinates are initialized to 0.

Parameters:

  numx | Number of points in the first grid direction.
  numy | Number of points in the second grid direction.

IG::Gr::StructuredSurfaceGridPrimitive::StructuredSurfaceGridPrimitive | ( | vec3 | origin,
|  | vec3 | basevector1,
|  | vec3 | basevector2,
|  | int | num1,
|  | int | num2
| ) |  | `[inline]`

Construct a structured surface grid primitive in 3 dimensions. Complete is constructed by translations of the origin by linear combinations of two base vectors with integer factors.

Parameters:

  origin | Origin of the mesh.
  basevector1 | The first base step of the mesh.
  basevector2 | The second base step of the mesh.
  num1 | Number of points in the first grid direction.
  num2 | Number of points in the second grid direction.

## Member Data Documentation

StructuredSurfaceMesh3D IG::Gr::StructuredSurfaceGridPrimitive::_mesh = null`[private]`

## Property Documentation

override int IG::Gr::StructuredSurfaceGridPrimitive::NumCoordinates`[get]`

Get or set the co-ordinate No. i of this graphic primitive.

Reimplemented from IG::Gr::GraphicPrimitive.

override vec3 IG::Gr::StructuredSurfaceGridPrimitive::this[int i]`[get, set]`

Returns the co-ordinate No. i of the graphic primitive.

Reimplemented from IG::Gr::GraphicPrimitive.

The documentation for this class was generated from the following file:

- GrObjects.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events